Get Intraday Margin Setting
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/cfm/intraday/margin_setting \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/cfm/intraday/margin_setting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/cfm/intraday/margin_setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"setting": "INTRADAY_MARGIN_SETTING_UNSPECIFIED"
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}US Derivatives
Get Intraday Margin Setting
Get the futures intraday margin setting
GET
/
api
/
v3
/
brokerage
/
cfm
/
intraday
/
margin_setting
Get Intraday Margin Setting
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Response
A successful response.
Available options:
INTRADAY_MARGIN_SETTING_UNSPECIFIED, INTRADAY_MARGIN_SETTING_STANDARD, INTRADAY_MARGIN_SETTING_INTRADAY Was this page helpful?
⌘I